require_dependency "skirental_web_frontend/application_controller"

module SkirentalWebFrontend
    class ReservationsController < ApplicationController
        def show
            requested_locale = params[:locale]

            if requested_locale.blank?
                # when no locale is explicitly requested: check if browser locale is supported and redirect to specific path
                if possible_country_codes.include?(locale_from_browser)
                    redirect_to "/#{locale_from_browser}#{request.original_fullpath}"
                    return
                else
                    # Fallback to english if browser language is not supported.
                    requested_locale = "en"
                end
                # when unknown locale is explicitly requested, fallback to browser-language (if supported) or english
            elsif !possible_country_codes.include?(requested_locale)
                if possible_country_codes.include?(locale_from_browser)
                    redirect_to "#{request.original_fullpath.sub('/'+requested_locale+'/', '/'+locale_from_browser+'/')}"
                    return
                else
                    redirect_to "#{request.original_fullpath.sub('/'+requested_locale+'/', '/en/')}"
                    return
                end
            end

            # This is the ID of the given shop
            @shop_id = params[:shop_id]
            session[:foo] = "bar" # create session object, it may be empty otherwise…
            @session_id = session.id
            puts "**** #{@session_id}"

            render "show_#{requested_locale}"
        end
    end
end
